
From: "Luiz Fernando N. Capitulino" <lcapitulino@prefeitura.sp.gov.br>

drivers/net/ixgb/ixgb_main.c: In function `ixgb_intr':
drivers/net/ixgb/ixgb_main.c:1593: warning: unused variable `hw'
(catch by J. Cherry).

This happens because `hw' is only used when CONFIG_IXGB_NAPI is not set. 
As `hw' is used only to have the code readable, we can use it for
!CONFIG_IXGB_NAPI too.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/ixgb/ixgb_main.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/net/ixgb/ixgb_main.c~fix-net-ixgb-ixgb_mainc-warning drivers/net/ixgb/ixgb_main.c
--- 25/drivers/net/ixgb/ixgb_main.c~fix-net-ixgb-ixgb_mainc-warning	2004-05-31 17:01:22.734180120 -0700
+++ 25-akpm/drivers/net/ixgb/ixgb_main.c	2004-05-31 17:01:22.739179360 -0700
@@ -1610,7 +1610,7 @@ static irqreturn_t ixgb_intr(int irq, vo
 		 */
 
 		atomic_inc(&adapter->irq_sem);
-		IXGB_WRITE_REG(&adapter->hw, IMC, ~0);
+		IXGB_WRITE_REG(hw, IMC, ~0);
 		__netif_rx_schedule(netdev);
 	}
 #else
_
